Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Class Reply

    java.lang.Object
      org.directwebremoting.extend.Reply

    public class Reply

extends java.lang.Object

Reply is a read-only POJO to encapsulate the information required to make a single java call, including the result of the call (either returned data or exception).

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`Reply(java.lang.String callId, java.lang.Object reply)` Constructor for the success case.
`Reply(java.lang.String callId, java.lang.Object reply, java.lang.Throwable th)` Constructor for the error case.

Method Summary
`java.lang.String` | `getCallId()`
`java.lang.Object` | `getReply()`
`java.lang.Throwable` | `getThrowable()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reply

    public Reply(java.lang.String callId,
                 java.lang.Object reply)

  Constructor for the success case.

  Parameters:
    `callId` - The call callId, copied from the Call object
    `reply` - The successful reply data

### Reply

    public Reply(java.lang.String callId,
                 java.lang.Object reply,
                 java.lang.Throwable th)

  Constructor for the error case. Reply must be set to null for this constructor to work. This parameter exists to avoid overloading issues. See Java Puzzlers #46 for an example.

  Parameters:
    `callId` - The call callId, copied from the Call object
    `reply` - Must be set to null
    `th` - The exception to record against this call.

Method Detail

### getCallId

    public java.lang.String getCallId()

  Returns:
    Returns the call callId.

### getReply

    public java.lang.Object getReply()

  Returns:
    Returns the call return value.

### getThrowable

    public java.lang.Throwable getThrowable()

  Returns:
    Returns the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD